Subject: Re: [PATCH] e1000e: Move e1000e_disable_aspm_locked() inside CONFIG_PM

From: Jeff Kirsher <[email-masked]>
Date: Thu, 23 Jul 2015 07:07:26 -0700

On Wed, 2015-07-22 at 11:41 +1000, Michael Ellerman wrote:
> On Wed, 2015-07-15 at 03:30 -0700, Jeff Kirsher wrote:
> > On Tue, 2015-07-14 at 13:54 +1000, Michael Ellerman wrote:
> > > e1000e_disable_aspm_locked() is only used in __e1000_resume()
> which is
> > > inside CONFIG_PM. So when CONFIG_PM=n we get a "defined but not
> used"
> > > warning for e1000e_disable_aspm_locked().
> > > 
> > > Move it inside the existing CONFIG_PM block to avoid the warning.
> > > 
> > > Signed-off-by: Michael Ellerman <[email-masked]>
> > > ---
> > >  drivers/net/ethernet/intel/e1000e/netdev.c | 2 +-
> > >  1 file changed, 1 insertion(+), 1 deletion(-)
> > 
> > NACK, this is already fixed in my next-queue tree.  Raanan submitted
> a
> > patch back on July 6th to resolve this issue, see commit id
> > a75787d2246a93d256061db602f252703559af65 in my dev-queue branch of
> my
> > next-queue tree.
> 
> OK. I take it your next-queue is destined for 4.3, so we'll just have
> to suck
> on the warning until then?

Yes, but I can queue Raanan's patch up for 4.2 (and possibly stable) if
necessary.  I have no issue with doing that.